
_message:

;crybaby_midi.c,70 :: 		char* message(const char* ctxt)
;crybaby_midi.c,74 :: 		for (j=0; txt[j]=ctxt[j]; j++);
	CLRF       R3+0
L_message0:
	MOVF       R3+0, 0
	ADDLW      message_txt_L0+0
	MOVWF      R2+0
	MOVF       R3+0, 0
	ADDWF      FARG_message_ctxt+0, 0
	MOVWF      R0+0
	MOVF       FARG_message_ctxt+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       R2+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
	MOVF       R2+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_message1
	INCF       R3+0, 1
	GOTO       L_message0
L_message1:
;crybaby_midi.c,75 :: 		return txt;
	MOVLW      message_txt_L0+0
	MOVWF      R0+0
;crybaby_midi.c,76 :: 		}
L_end_message:
	RETURN
; end of _message

_affichercanal:

;crybaby_midi.c,78 :: 		void affichercanal()
;crybaby_midi.c,80 :: 		Lcd_Out(1, 1,message(msg[3])); // Ecrit le mot canal
	MOVF       _msg+6, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+7, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,81 :: 		Lcd_Chr(1, 7, canalTxt[1]); Lcd_Chr(1, 8, canalTxt[2]);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       _canalTxt+1, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       _canalTxt+2, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;crybaby_midi.c,82 :: 		}
L_end_affichercanal:
	RETURN
; end of _affichercanal

_afficherCourbe:

;crybaby_midi.c,84 :: 		void afficherCourbe()
;crybaby_midi.c,86 :: 		Lcd_Out(1, 10,message(msg[7+courbe])); // Ecrit le nom de la courbe
	MOVF       _courbe+0, 0
	ADDLW      7
	MOVWF      R3+0
	CLRF       R3+1
	BTFSC      STATUS+0, 0
	INCF       R3+1, 1
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	MOVF       R0+0, 0
	ADDLW      _msg+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      FARG_message_ctxt+0
	INCF       FSR, 1
	MOVF       INDF+0, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,87 :: 		}
L_end_afficherCourbe:
	RETURN
; end of _afficherCourbe

_initialisation:

;crybaby_midi.c,89 :: 		void initialisation()
;crybaby_midi.c,91 :: 		IRP_bit=0;
	BCF        IRP_bit+0, BitPos(IRP_bit+0)
;crybaby_midi.c,93 :: 		adcon1=6;//Port A utilisé en logique et non analogique
	MOVLW      6
	MOVWF      ADCON1+0
;crybaby_midi.c,94 :: 		adcon0=0;
	CLRF       ADCON0+0
;crybaby_midi.c,95 :: 		TRISA = 0x3F;//Port A en entree
	MOVLW      63
	MOVWF      TRISA+0
;crybaby_midi.c,97 :: 		TRISB = 0;//Port B en sortie
	CLRF       TRISB+0
;crybaby_midi.c,98 :: 		Delay_ms(1000);
	MOVLW      26
	MOVWF      R11+0
	MOVLW      94
	MOVWF      R12+0
	MOVLW      110
	MOVWF      R13+0
L_initialisation3:
	DECFSZ     R13+0, 1
	GOTO       L_initialisation3
	DECFSZ     R12+0, 1
	GOTO       L_initialisation3
	DECFSZ     R11+0, 1
	GOTO       L_initialisation3
	NOP
;crybaby_midi.c,99 :: 		Lcd_Init(); // Initialize LCD
	CALL       _Lcd_Init+0
;crybaby_midi.c,100 :: 		Delay_ms(1000);
	MOVLW      26
	MOVWF      R11+0
	MOVLW      94
	MOVWF      R12+0
	MOVLW      110
	MOVWF      R13+0
L_initialisation4:
	DECFSZ     R13+0, 1
	GOTO       L_initialisation4
	DECFSZ     R12+0, 1
	GOTO       L_initialisation4
	DECFSZ     R11+0, 1
	GOTO       L_initialisation4
	NOP
;crybaby_midi.c,101 :: 		Lcd_Cmd(_Lcd_CURSOR_OFF); // Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;crybaby_midi.c,102 :: 		Lcd_Cmd(_Lcd_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;crybaby_midi.c,104 :: 		TRISD = 0x01;//Port D en sortie sauf D0 qui est en entre
	MOVLW      1
	MOVWF      TRISD+0
;crybaby_midi.c,105 :: 		PortD.F1 = 0;PortD.F2 = 0;//initialisation des relais
	BCF        PORTD+0, 1
	BCF        PORTD+0, 2
;crybaby_midi.c,107 :: 		PWM1_Init(30000); // Initialize PWM1 :fréquence 20000Hz
	BCF        T2CON+0, 0
	BCF        T2CON+0, 1
	MOVLW      165
	MOVWF      PR2+0
	CALL       _PWM1_Init+0
;crybaby_midi.c,109 :: 		UART1_init(31250); // Vitesse du port MIDI : 31250 bauds
	MOVLW      39
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;crybaby_midi.c,110 :: 		Delay_ms(100);
	MOVLW      3
	MOVWF      R11+0
	MOVLW      138
	MOVWF      R12+0
	MOVLW      85
	MOVWF      R13+0
L_initialisation5:
	DECFSZ     R13+0, 1
	GOTO       L_initialisation5
	DECFSZ     R12+0, 1
	GOTO       L_initialisation5
	DECFSZ     R11+0, 1
	GOTO       L_initialisation5
	NOP
	NOP
;crybaby_midi.c,112 :: 		config=PortA;
	MOVF       PORTA+0, 0
	MOVWF      _config+0
;crybaby_midi.c,113 :: 		canal=config & 0x0F;
	MOVLW      15
	ANDWF      _config+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _canal+0
;crybaby_midi.c,114 :: 		courbe=(config & 0xF0)/16;
	MOVLW      240
	ANDWF      _config+0, 0
	MOVWF      _courbe+0
	RRF        _courbe+0, 1
	BCF        _courbe+0, 7
	RRF        _courbe+0, 1
	BCF        _courbe+0, 7
	RRF        _courbe+0, 1
	BCF        _courbe+0, 7
	RRF        _courbe+0, 1
	BCF        _courbe+0, 7
;crybaby_midi.c,115 :: 		Msg_PC=192+canal;
	MOVF       R1+0, 0
	ADDLW      192
	MOVWF      _Msg_PC+0
;crybaby_midi.c,116 :: 		Msg_CC=176+canal;
	MOVF       R1+0, 0
	ADDLW      176
	MOVWF      _Msg_CC+0
;crybaby_midi.c,117 :: 		ByteToStr(canal+1,canalTxt);
	INCF       R1+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _canalTxt+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;crybaby_midi.c,119 :: 		Lcd_Out(1,1,message(msg[0])); // Ecrit sur la 1ere ligne
	MOVF       _msg+0, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+1, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,120 :: 		Lcd_out(2,1,message(msg[1]));  //ecrit version
	MOVF       _msg+2, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+3, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,121 :: 		delay_ms(1000);
	MOVLW      26
	MOVWF      R11+0
	MOVLW      94
	MOVWF      R12+0
	MOVLW      110
	MOVWF      R13+0
L_initialisation6:
	DECFSZ     R13+0, 1
	GOTO       L_initialisation6
	DECFSZ     R12+0, 1
	GOTO       L_initialisation6
	DECFSZ     R11+0, 1
	GOTO       L_initialisation6
	NOP
;crybaby_midi.c,122 :: 		}
L_end_initialisation:
	RETURN
; end of _initialisation

_bargraph:

;crybaby_midi.c,124 :: 		char* bargraph(int blocs)
;crybaby_midi.c,128 :: 		for (i=2;i<blocs+2;i++)txt[i]=0xFF;
	MOVLW      2
	MOVWF      R3+0
	MOVLW      0
	MOVWF      R3+1
L_bargraph7:
	MOVLW      2
	ADDWF      FARG_bargraph_blocs+0, 0
	MOVWF      R1+0
	MOVF       FARG_bargraph_blocs+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R1+1
	MOVLW      128
	XORWF      R3+1, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      R1+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__bargraph132
	MOVF       R1+0, 0
	SUBWF      R3+0, 0
L__bargraph132:
	BTFSC      STATUS+0, 0
	GOTO       L_bargraph8
	MOVF       R3+0, 0
	ADDLW      bargraph_txt_L0+0
	MOVWF      FSR
	MOVLW      255
	MOVWF      INDF+0
	INCF       R3+0, 1
	BTFSC      STATUS+0, 2
	INCF       R3+1, 1
	GOTO       L_bargraph7
L_bargraph8:
;crybaby_midi.c,129 :: 		for (i=blocs+2;i<12;i++)txt[i]=' ';
	MOVLW      2
	ADDWF      FARG_bargraph_blocs+0, 0
	MOVWF      R3+0
	MOVF       FARG_bargraph_blocs+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R3+1
L_bargraph10:
	MOVLW      128
	XORWF      R3+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__bargraph133
	MOVLW      12
	SUBWF      R3+0, 0
L__bargraph133:
	BTFSC      STATUS+0, 0
	GOTO       L_bargraph11
	MOVF       R3+0, 0
	ADDLW      bargraph_txt_L0+0
	MOVWF      FSR
	MOVLW      32
	MOVWF      INDF+0
	INCF       R3+0, 1
	BTFSC      STATUS+0, 2
	INCF       R3+1, 1
	GOTO       L_bargraph10
L_bargraph11:
;crybaby_midi.c,130 :: 		return txt;
	MOVLW      bargraph_txt_L0+0
	MOVWF      R0+0
;crybaby_midi.c,131 :: 		}
L_end_bargraph:
	RETURN
; end of _bargraph

_ChangeVol:

;crybaby_midi.c,133 :: 		void ChangeVol(int niveau)
;crybaby_midi.c,137 :: 		if ((niveau>=0) && (niveau<24))
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol135
	MOVLW      0
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol135:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol15
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol136
	MOVLW      24
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol136:
	BTFSC      STATUS+0, 0
	GOTO       L_ChangeVol15
L__ChangeVol124:
;crybaby_midi.c,138 :: 		{nbrblocs=1;level=step[courbe][0];}
	MOVLW      1
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVF       R0+0, 0
	ADDLW      _step+0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
	GOTO       L_ChangeVol16
L_ChangeVol15:
;crybaby_midi.c,140 :: 		if ((niveau>=24) && (niveau<48))
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol137
	MOVLW      24
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol137:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol19
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol138
	MOVLW      48
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol138:
	BTFSC      STATUS+0, 0
	GOTO       L_ChangeVol19
L__ChangeVol123:
;crybaby_midi.c,141 :: 		{nbrblocs=2;level=step[courbe][1];}
	MOVLW      2
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVLW      _step+0
	ADDWF      R0+0, 1
	INCF       R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
	GOTO       L_ChangeVol20
L_ChangeVol19:
;crybaby_midi.c,143 :: 		if ((niveau>=48) && (niveau<72))
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol139
	MOVLW      48
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol139:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol23
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol140
	MOVLW      72
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol140:
	BTFSC      STATUS+0, 0
	GOTO       L_ChangeVol23
L__ChangeVol122:
;crybaby_midi.c,144 :: 		{nbrblocs=3;level=step[courbe][2];}
	MOVLW      3
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVLW      _step+0
	ADDWF      R0+0, 1
	MOVLW      2
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
	GOTO       L_ChangeVol24
L_ChangeVol23:
;crybaby_midi.c,146 :: 		if ((niveau>=72) && (niveau<96))
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol141
	MOVLW      72
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol141:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol27
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol142
	MOVLW      96
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol142:
	BTFSC      STATUS+0, 0
	GOTO       L_ChangeVol27
L__ChangeVol121:
;crybaby_midi.c,147 :: 		{nbrblocs=4;level=step[courbe][3];}
	MOVLW      4
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVLW      _step+0
	ADDWF      R0+0, 1
	MOVLW      3
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
	GOTO       L_ChangeVol28
L_ChangeVol27:
;crybaby_midi.c,149 :: 		if ((niveau>=96) && (niveau<120))
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol143
	MOVLW      96
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol143:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol31
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol144
	MOVLW      120
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol144:
	BTFSC      STATUS+0, 0
	GOTO       L_ChangeVol31
L__ChangeVol120:
;crybaby_midi.c,150 :: 		{nbrblocs=5;level=step[courbe][4];}
	MOVLW      5
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVLW      _step+0
	ADDWF      R0+0, 1
	MOVLW      4
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
	GOTO       L_ChangeVol32
L_ChangeVol31:
;crybaby_midi.c,152 :: 		if ((niveau>=120) && (niveau<144))
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol145
	MOVLW      120
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol145:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol35
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol146
	MOVLW      144
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol146:
	BTFSC      STATUS+0, 0
	GOTO       L_ChangeVol35
L__ChangeVol119:
;crybaby_midi.c,153 :: 		{nbrblocs=6;level=step[courbe][5];}
	MOVLW      6
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVLW      _step+0
	ADDWF      R0+0, 1
	MOVLW      5
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
	GOTO       L_ChangeVol36
L_ChangeVol35:
;crybaby_midi.c,155 :: 		if ((niveau>=144) && (niveau<168))
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol147
	MOVLW      144
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol147:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol39
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol148
	MOVLW      168
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol148:
	BTFSC      STATUS+0, 0
	GOTO       L_ChangeVol39
L__ChangeVol118:
;crybaby_midi.c,156 :: 		{nbrblocs=7;level=step[courbe][6];}
	MOVLW      7
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVLW      _step+0
	ADDWF      R0+0, 1
	MOVLW      6
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
	GOTO       L_ChangeVol40
L_ChangeVol39:
;crybaby_midi.c,158 :: 		if ((niveau>=168) && (niveau<192))
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol149
	MOVLW      168
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol149:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol43
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol150
	MOVLW      192
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol150:
	BTFSC      STATUS+0, 0
	GOTO       L_ChangeVol43
L__ChangeVol117:
;crybaby_midi.c,159 :: 		{nbrblocs=8;level=step[courbe][7];}
	MOVLW      8
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVLW      _step+0
	ADDWF      R0+0, 1
	MOVLW      7
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
	GOTO       L_ChangeVol44
L_ChangeVol43:
;crybaby_midi.c,161 :: 		if ((niveau>=192) && (niveau<216))
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol151
	MOVLW      192
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol151:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol47
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol152
	MOVLW      216
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol152:
	BTFSC      STATUS+0, 0
	GOTO       L_ChangeVol47
L__ChangeVol116:
;crybaby_midi.c,162 :: 		{nbrblocs=9;level=step[courbe][8];}
	MOVLW      9
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVLW      _step+0
	ADDWF      R0+0, 1
	MOVLW      8
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
	GOTO       L_ChangeVol48
L_ChangeVol47:
;crybaby_midi.c,164 :: 		if (niveau>=216)
	MOVLW      128
	XORWF      FARG_ChangeVol_niveau+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__ChangeVol153
	MOVLW      216
	SUBWF      FARG_ChangeVol_niveau+0, 0
L__ChangeVol153:
	BTFSS      STATUS+0, 0
	GOTO       L_ChangeVol49
;crybaby_midi.c,165 :: 		{nbrblocs=10;level=step[courbe][9];}
	MOVLW      10
	MOVWF      ChangeVol_nbrBlocs_L0+0
	MOVLW      0
	MOVWF      ChangeVol_nbrBlocs_L0+1
	MOVLW      10
	MOVWF      R0+0
	MOVF       _courbe+0, 0
	MOVWF      R4+0
	CALL       _Mul_8X8_U+0
	MOVLW      _step+0
	ADDWF      R0+0, 1
	MOVLW      9
	ADDWF      R0+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	MOVWF      ChangeVol_level_L0+0
	CLRF       ChangeVol_level_L0+1
	MOVLW      0
	MOVWF      ChangeVol_level_L0+1
L_ChangeVol49:
L_ChangeVol48:
L_ChangeVol44:
L_ChangeVol40:
L_ChangeVol36:
L_ChangeVol32:
L_ChangeVol28:
L_ChangeVol24:
L_ChangeVol20:
L_ChangeVol16:
;crybaby_midi.c,166 :: 		PWM1_Set_Duty(level);
	MOVF       ChangeVol_level_L0+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;crybaby_midi.c,167 :: 		Lcd_Out(2,1,bargraph(nbrBlocs));
	MOVF       ChangeVol_nbrBlocs_L0+0, 0
	MOVWF      FARG_bargraph_blocs+0
	MOVF       ChangeVol_nbrBlocs_L0+1, 0
	MOVWF      FARG_bargraph_blocs+1
	CALL       _bargraph+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,168 :: 		}
L_end_ChangeVol:
	RETURN
; end of _ChangeVol

_programChange:

;crybaby_midi.c,170 :: 		void programChange()
;crybaby_midi.c,172 :: 		while (UART1_Data_Ready()==0); // on attend la donnée
L_programChange50:
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_programChange51
	GOTO       L_programChange50
L_programChange51:
;crybaby_midi.c,173 :: 		codeMidi=UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _codeMidi+0
;crybaby_midi.c,174 :: 		switch(codeMidi)
	GOTO       L_programChange52
;crybaby_midi.c,176 :: 		case 0 :
L_programChange54:
;crybaby_midi.c,178 :: 		PortD.F1 = ~(PortD.F1) ;
	MOVLW      2
	XORWF      PORTD+0, 1
;crybaby_midi.c,179 :: 		if (PortD.F1)
	BTFSS      PORTD+0, 1
	GOTO       L_programChange55
;crybaby_midi.c,180 :: 		Lcd_Out(2,15,message(msg[4]));
	MOVF       _msg+8, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+9, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
	GOTO       L_programChange56
L_programChange55:
;crybaby_midi.c,182 :: 		Lcd_Out(2,15,message(msg[6]));
	MOVF       _msg+12, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+13, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
L_programChange56:
;crybaby_midi.c,183 :: 		break; //F1
	GOTO       L_programChange53
;crybaby_midi.c,185 :: 		case 1 :
L_programChange57:
;crybaby_midi.c,187 :: 		PortD.F2 = ~(PortD.F2) ;
	MOVLW      4
	XORWF      PORTD+0, 1
;crybaby_midi.c,188 :: 		if (PortD.F2)
	BTFSS      PORTD+0, 2
	GOTO       L_programChange58
;crybaby_midi.c,189 :: 		Lcd_Out(2,15,message(msg[5]));
	MOVF       _msg+10, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+11, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
	GOTO       L_programChange59
L_programChange58:
;crybaby_midi.c,191 :: 		Lcd_Out(2,15,message(msg[6]));
	MOVF       _msg+12, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+13, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
L_programChange59:
;crybaby_midi.c,192 :: 		break; //F2
	GOTO       L_programChange53
;crybaby_midi.c,194 :: 		}
L_programChange52:
	MOVF       _codeMidi+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_programChange54
	MOVF       _codeMidi+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_programChange57
L_programChange53:
;crybaby_midi.c,195 :: 		}
L_end_programChange:
	RETURN
; end of _programChange

_controlChange:

;crybaby_midi.c,197 :: 		void controlChange()
;crybaby_midi.c,202 :: 		cdg=0;
	CLRF       controlChange_cdg_L0+0
;crybaby_midi.c,203 :: 		while ((UART1_Data_Ready()==0) && (cdg<0xFF))
L_controlChange60:
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_controlChange61
	MOVLW      255
	SUBWF      controlChange_cdg_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_controlChange61
L__controlChange126:
;crybaby_midi.c,204 :: 		cdg++;
	INCF       controlChange_cdg_L0+0, 1
	GOTO       L_controlChange60
L_controlChange61:
;crybaby_midi.c,205 :: 		if (cdg==0xFF) return;
	MOVF       controlChange_cdg_L0+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L_controlChange64
	GOTO       L_end_controlChange
L_controlChange64:
;crybaby_midi.c,206 :: 		paramCC=UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _paramCC+0
;crybaby_midi.c,207 :: 		switch (paramCC)
	GOTO       L_controlChange65
;crybaby_midi.c,209 :: 		case 0x07 :
L_controlChange67:
;crybaby_midi.c,212 :: 		cdg=0;
	CLRF       controlChange_cdg_L0+0
;crybaby_midi.c,213 :: 		while ((UART1_Data_Ready()==0) && (cdg<0xFF))
L_controlChange68:
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_controlChange69
	MOVLW      255
	SUBWF      controlChange_cdg_L0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_controlChange69
L__controlChange125:
;crybaby_midi.c,214 :: 		cdg++;
	INCF       controlChange_cdg_L0+0, 1
	GOTO       L_controlChange68
L_controlChange69:
;crybaby_midi.c,215 :: 		if (cdg==0xFF) return;//timeout coul
	MOVF       controlChange_cdg_L0+0, 0
	XORLW      255
	BTFSS      STATUS+0, 2
	GOTO       L_controlChange72
	GOTO       L_end_controlChange
L_controlChange72:
;crybaby_midi.c,216 :: 		paramCC2=UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      controlChange_paramCC2_L0+0
;crybaby_midi.c,217 :: 		NVol=paramCC2;
	MOVF       R0+0, 0
	MOVWF      controlChange_NVol_L0+0
;crybaby_midi.c,218 :: 		NVol=NVol & 0xFC;
	MOVLW      252
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      controlChange_NVol_L0+0
;crybaby_midi.c,219 :: 		if (NVol!=oldNVol)
	MOVF       R1+0, 0
	XORWF      _oldNVol+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_controlChange73
;crybaby_midi.c,221 :: 		oldNVol=NVol;
	MOVF       controlChange_NVol_L0+0, 0
	MOVWF      _oldNVol+0
;crybaby_midi.c,222 :: 		ChangeVol(NVol*2);
	MOVF       controlChange_NVol_L0+0, 0
	MOVWF      FARG_ChangeVol_niveau+0
	CLRF       FARG_ChangeVol_niveau+1
	RLF        FARG_ChangeVol_niveau+0, 1
	RLF        FARG_ChangeVol_niveau+1, 1
	BCF        FARG_ChangeVol_niveau+0, 0
	CALL       _ChangeVol+0
;crybaby_midi.c,223 :: 		}
L_controlChange73:
;crybaby_midi.c,224 :: 		break;
	GOTO       L_controlChange66
;crybaby_midi.c,226 :: 		case 0x01 :
L_controlChange74:
;crybaby_midi.c,228 :: 		while (UART1_Data_Ready()==0);
L_controlChange75:
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_controlChange76
	GOTO       L_controlChange75
L_controlChange76:
;crybaby_midi.c,229 :: 		paramCC2=UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      controlChange_paramCC2_L0+0
;crybaby_midi.c,230 :: 		switch(paramCC2)
	GOTO       L_controlChange77
;crybaby_midi.c,232 :: 		case 0:
L_controlChange79:
;crybaby_midi.c,234 :: 		PortD.F2=0;
	BCF        PORTD+0, 2
;crybaby_midi.c,235 :: 		Lcd_Out(1,14,message(msg[6]));
	MOVF       _msg+12, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+13, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,236 :: 		break;
	GOTO       L_controlChange78
;crybaby_midi.c,238 :: 		case 127:
L_controlChange80:
;crybaby_midi.c,240 :: 		PortD.F2=1;
	BSF        PORTD+0, 2
;crybaby_midi.c,241 :: 		Lcd_Out(1,14,message(msg[5]));
	MOVF       _msg+10, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+11, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,242 :: 		break;
	GOTO       L_controlChange78
;crybaby_midi.c,244 :: 		default : break;
L_controlChange81:
	GOTO       L_controlChange78
;crybaby_midi.c,245 :: 		}
L_controlChange77:
	MOVF       controlChange_paramCC2_L0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_controlChange79
	MOVF       controlChange_paramCC2_L0+0, 0
	XORLW      127
	BTFSC      STATUS+0, 2
	GOTO       L_controlChange80
	GOTO       L_controlChange81
L_controlChange78:
;crybaby_midi.c,246 :: 		break;
	GOTO       L_controlChange66
;crybaby_midi.c,248 :: 		case 0x00 :
L_controlChange82:
;crybaby_midi.c,250 :: 		while (UART1_Data_Ready()==0);
L_controlChange83:
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_controlChange84
	GOTO       L_controlChange83
L_controlChange84:
;crybaby_midi.c,251 :: 		paramCC2=UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      controlChange_paramCC2_L0+0
;crybaby_midi.c,252 :: 		switch(paramCC2)
	GOTO       L_controlChange85
;crybaby_midi.c,254 :: 		case 0:
L_controlChange87:
;crybaby_midi.c,256 :: 		PortD.F1=0;
	BCF        PORTD+0, 1
;crybaby_midi.c,257 :: 		Lcd_Out(2,15,message(msg[6]));
	MOVF       _msg+12, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+13, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,258 :: 		break;
	GOTO       L_controlChange86
;crybaby_midi.c,260 :: 		case 127:
L_controlChange88:
;crybaby_midi.c,262 :: 		PortD.F1=1;
	BSF        PORTD+0, 1
;crybaby_midi.c,263 :: 		Lcd_Out(2,15,message(msg[4]));
	MOVF       _msg+8, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+9, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,264 :: 		break;
	GOTO       L_controlChange86
;crybaby_midi.c,266 :: 		default : break;
L_controlChange89:
	GOTO       L_controlChange86
;crybaby_midi.c,267 :: 		}
L_controlChange85:
	MOVF       controlChange_paramCC2_L0+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_controlChange87
	MOVF       controlChange_paramCC2_L0+0, 0
	XORLW      127
	BTFSC      STATUS+0, 2
	GOTO       L_controlChange88
	GOTO       L_controlChange89
L_controlChange86:
;crybaby_midi.c,268 :: 		break;
	GOTO       L_controlChange66
;crybaby_midi.c,270 :: 		}//de switch
L_controlChange65:
	MOVF       _paramCC+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_controlChange67
	MOVF       _paramCC+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_controlChange74
	MOVF       _paramCC+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L_controlChange82
L_controlChange66:
;crybaby_midi.c,271 :: 		} //de controlChange
L_end_controlChange:
	RETURN
; end of _controlChange

_modeTest:

;crybaby_midi.c,273 :: 		modeTest()
;crybaby_midi.c,276 :: 		while(1)
L_modeTest90:
;crybaby_midi.c,278 :: 		Lcd_Out(1,1,message(msg[2])); // crit TEST
	MOVF       _msg+4, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+5, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,280 :: 		Lcd_Out(2,1,message(msg[9]));
	MOVF       _msg+18, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+19, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,281 :: 		for (i=0;i<4;i++)
	CLRF       modeTest_i_L0+0
	CLRF       modeTest_i_L0+1
L_modeTest92:
	MOVLW      128
	XORWF      modeTest_i_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__modeTest157
	MOVLW      4
	SUBWF      modeTest_i_L0+0, 0
L__modeTest157:
	BTFSC      STATUS+0, 0
	GOTO       L_modeTest93
;crybaby_midi.c,283 :: 		PortD.F1=~PortD.F1;
	MOVLW      2
	XORWF      PORTD+0, 1
;crybaby_midi.c,284 :: 		PortD.F2=~PortD.F2;
	MOVLW      4
	XORWF      PORTD+0, 1
;crybaby_midi.c,285 :: 		delay_ms(500);
	MOVLW      13
	MOVWF      R11+0
	MOVLW      175
	MOVWF      R12+0
	MOVLW      182
	MOVWF      R13+0
L_modeTest95:
	DECFSZ     R13+0, 1
	GOTO       L_modeTest95
	DECFSZ     R12+0, 1
	GOTO       L_modeTest95
	DECFSZ     R11+0, 1
	GOTO       L_modeTest95
	NOP
;crybaby_midi.c,281 :: 		for (i=0;i<4;i++)
	INCF       modeTest_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       modeTest_i_L0+1, 1
;crybaby_midi.c,286 :: 		}
	GOTO       L_modeTest92
L_modeTest93:
;crybaby_midi.c,289 :: 		Lcd_Out(1,1,message(msg[3]));
	MOVF       _msg+6, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+7, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,290 :: 		affichercanal();
	CALL       _affichercanal+0
;crybaby_midi.c,291 :: 		afficherCourbe();
	CALL       _afficherCourbe+0
;crybaby_midi.c,293 :: 		PWM1_Start();
	CALL       _PWM1_Start+0
;crybaby_midi.c,294 :: 		for (i=0;i<255;i++) //255 = 100%
	CLRF       modeTest_i_L0+0
	CLRF       modeTest_i_L0+1
L_modeTest96:
	MOVLW      128
	XORWF      modeTest_i_L0+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__modeTest158
	MOVLW      255
	SUBWF      modeTest_i_L0+0, 0
L__modeTest158:
	BTFSC      STATUS+0, 0
	GOTO       L_modeTest97
;crybaby_midi.c,296 :: 		PWM1_Set_Duty(i);
	MOVF       modeTest_i_L0+0, 0
	MOVWF      FARG_PWM1_Set_Duty_new_duty+0
	CALL       _PWM1_Set_Duty+0
;crybaby_midi.c,297 :: 		j=i/25;
	MOVLW      25
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       modeTest_i_L0+0, 0
	MOVWF      R0+0
	MOVF       modeTest_i_L0+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_S+0
	MOVF       R0+0, 0
	MOVWF      modeTest_j_L0+0
	MOVF       R0+1, 0
	MOVWF      modeTest_j_L0+1
;crybaby_midi.c,298 :: 		delay_ms(50);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_modeTest99:
	DECFSZ     R13+0, 1
	GOTO       L_modeTest99
	DECFSZ     R12+0, 1
	GOTO       L_modeTest99
	DECFSZ     R11+0, 1
	GOTO       L_modeTest99
	NOP
	NOP
;crybaby_midi.c,299 :: 		Lcd_Out(2,1,bargraph(j));
	MOVF       modeTest_j_L0+0, 0
	MOVWF      FARG_bargraph_blocs+0
	MOVF       modeTest_j_L0+1, 0
	MOVWF      FARG_bargraph_blocs+1
	CALL       _bargraph+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,294 :: 		for (i=0;i<255;i++) //255 = 100%
	INCF       modeTest_i_L0+0, 1
	BTFSC      STATUS+0, 2
	INCF       modeTest_i_L0+1, 1
;crybaby_midi.c,300 :: 		}
	GOTO       L_modeTest96
L_modeTest97:
;crybaby_midi.c,301 :: 		PWM1_stop();
	CALL       _PWM1_Stop+0
;crybaby_midi.c,302 :: 		} //fin de while
	GOTO       L_modeTest90
;crybaby_midi.c,303 :: 		}
L_end_modeTest:
	RETURN
; end of _modeTest

_changerCourbe:

;crybaby_midi.c,305 :: 		void changerCourbe()
;crybaby_midi.c,307 :: 		delay_ms(200);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_changerCourbe100:
	DECFSZ     R13+0, 1
	GOTO       L_changerCourbe100
	DECFSZ     R12+0, 1
	GOTO       L_changerCourbe100
	DECFSZ     R11+0, 1
	GOTO       L_changerCourbe100
	NOP
	NOP
;crybaby_midi.c,308 :: 		while (portD.F0==0); //on attend le relachement
L_changerCourbe101:
	BTFSC      PORTD+0, 0
	GOTO       L_changerCourbe102
	GOTO       L_changerCourbe101
L_changerCourbe102:
;crybaby_midi.c,309 :: 		courbe++;
	INCF       _courbe+0, 1
;crybaby_midi.c,310 :: 		if (courbe>nbCourbe-1) courbe=0;
	MOVF       _courbe+0, 0
	SUBLW      7
	BTFSC      STATUS+0, 0
	GOTO       L_changerCourbe103
	CLRF       _courbe+0
L_changerCourbe103:
;crybaby_midi.c,311 :: 		afficherCourbe();
	CALL       _afficherCourbe+0
;crybaby_midi.c,312 :: 		}
L_end_changerCourbe:
	RETURN
; end of _changerCourbe

_modeRun:

;crybaby_midi.c,314 :: 		void modeRun()
;crybaby_midi.c,316 :: 		Lcd_Out(1,1,message(msg[0]));
	MOVF       _msg+0, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+1, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,317 :: 		Lcd_Out(2,1,message(msg[1]));
	MOVF       _msg+2, 0
	MOVWF      FARG_message_ctxt+0
	MOVF       _msg+3, 0
	MOVWF      FARG_message_ctxt+1
	CALL       _message+0
	MOVF       R0+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	CALL       _Lcd_Out+0
;crybaby_midi.c,318 :: 		delay_ms(1000);
	MOVLW      26
	MOVWF      R11+0
	MOVLW      94
	MOVWF      R12+0
	MOVLW      110
	MOVWF      R13+0
L_modeRun104:
	DECFSZ     R13+0, 1
	GOTO       L_modeRun104
	DECFSZ     R12+0, 1
	GOTO       L_modeRun104
	DECFSZ     R11+0, 1
	GOTO       L_modeRun104
	NOP
;crybaby_midi.c,319 :: 		affichercanal();
	CALL       _affichercanal+0
;crybaby_midi.c,320 :: 		afficherCourbe();
	CALL       _afficherCourbe+0
;crybaby_midi.c,321 :: 		PWM1_Start(); // start PWM1
	CALL       _PWM1_Start+0
;crybaby_midi.c,322 :: 		while (1)
L_modeRun105:
;crybaby_midi.c,324 :: 		if (portD.F0==0) changerCourbe();//l'utilisateur dcide de changer de courbe
	BTFSC      PORTD+0, 0
	GOTO       L_modeRun107
	CALL       _changerCourbe+0
L_modeRun107:
;crybaby_midi.c,325 :: 		if (UART1_Data_Ready())
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_modeRun108
;crybaby_midi.c,327 :: 		codeMidi=UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _codeMidi+0
;crybaby_midi.c,328 :: 		if (codeMidi==Msg_CC)
	MOVF       R0+0, 0
	XORWF      _Msg_CC+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_modeRun109
;crybaby_midi.c,330 :: 		controlChange(); // c'est un Control Change Msg sur 3 octets
	CALL       _controlChange+0
;crybaby_midi.c,331 :: 		}
	GOTO       L_modeRun110
L_modeRun109:
;crybaby_midi.c,333 :: 		if  (codeMidi==Msg_PC)
	MOVF       _codeMidi+0, 0
	XORWF      _Msg_PC+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_modeRun111
;crybaby_midi.c,335 :: 		programChange();
	CALL       _programChange+0
;crybaby_midi.c,336 :: 		}
	GOTO       L_modeRun112
L_modeRun111:
;crybaby_midi.c,337 :: 		else  UART1_write(codeMidi); //la donne n'est pas pour cet esclave MIDI
	MOVF       _codeMidi+0, 0
	MOVWF      FARG_UART1_Write_data_+0
	CALL       _UART1_Write+0
L_modeRun112:
L_modeRun110:
;crybaby_midi.c,338 :: 		}
L_modeRun108:
;crybaby_midi.c,339 :: 		}  //end de While()
	GOTO       L_modeRun105
;crybaby_midi.c,341 :: 		}
L_end_modeRun:
	RETURN
; end of _modeRun

_main:

;crybaby_midi.c,343 :: 		void main()
;crybaby_midi.c,345 :: 		initialisation();
	CALL       _initialisation+0
;crybaby_midi.c,346 :: 		mode=PortA & 0xF0;
	MOVLW      240
	ANDWF      PORTA+0, 0
	MOVWF      _mode+0
;crybaby_midi.c,347 :: 		delay_ms(1000);
	MOVLW      26
	MOVWF      R11+0
	MOVLW      94
	MOVWF      R12+0
	MOVLW      110
	MOVWF      R13+0
L_main113:
	DECFSZ     R13+0, 1
	GOTO       L_main113
	DECFSZ     R12+0, 1
	GOTO       L_main113
	DECFSZ     R11+0, 1
	GOTO       L_main113
	NOP
;crybaby_midi.c,348 :: 		if (PortD.F0==0) //le bouton est appuy  la mise sous tension
	BTFSC      PORTD+0, 0
	GOTO       L_main114
;crybaby_midi.c,349 :: 		modeTest();
	CALL       _modeTest+0
	GOTO       L_main115
L_main114:
;crybaby_midi.c,351 :: 		modeRun();//fonctionnement normal
	CALL       _modeRun+0
L_main115:
;crybaby_midi.c,352 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
